Helper

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Helper

The validation helper feature. More...

## Typedefs
typedef struct _Elm_Validate_Content | Elm_Validate_Content
| Data for the elm_validator_regexp_helper()
typedef struct _Elm_Validator_Regexp | Elm_Validator_Regexp
| The Regexp validator data.

## Enumerations
enum | Elm_Regexp_Status { ELM_REG_NOERROR = 0, ELM_REG_NOMATCH, ELM_REG_BADPAT }
| Enumeration that defines the regex error codes. More...

## Functions
Elm_Validator_Regexp * | elm_validator_regexp_new (const char *pattern, const char *signal)
| Create a new regex validator. More...
void | elm_validator_regexp_free (Elm_Validator_Regexp *validator)
| Delete the existing regex validator. More...
Elm_Regexp_Status | elm_validator_regexp_status_get (Elm_Validator_Regexp *validator)
| Get the validation status. More...

## Detailed Description

The validation helper feature.

## Enumeration Type Documentation

enum Elm_Regexp_Status

Enumeration that defines the regex error codes.

Since
  1.14

Enumerator
ELM_REG_NOERROR | Regex maches to the Entrys text.
ELM_REG_NOMATCH | Failed to match.
ELM_REG_BADPAT | Invalid regular expression.

## Function Documentation

void elm_validator_regexp_free | ( | Elm_Validator_Regexp * | validator | ) |

Delete the existing regex validator.

Parameters

  validator | The given validator

See also
  elm_validator_regexp_add()

Since
  1.14

Elm_Validator_Regexp* elm_validator_regexp_new | ( | const char * | pattern,
|  | const char * | signal
| ) |  |

Create a new regex validator.

General designed for validate inputed entry text.

Parameters

  pattern | The regex pattern
  signal | The part of signal name, which will be emitted to style

Returns
  The regex validator

See also
  elm_validator_regexp_del()
  elm_validator_regex_regex_set()
  elm_validator_regexp_status_get()
  elm_validator_regexp_helper()

Since
  1.14

References ELM_REG_BADPAT, and ELM_REG_NOERROR.

Elm_Regexp_Status elm_validator_regexp_status_get | ( | Elm_Validator_Regexp * | validator | ) |

Get the validation status.

Parameters

  The | given validator

Note
  All return value see here: http://www.gnu.org/software/libc/manual/html_node/Regular-Expressions.html

Since
  1.14